function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = testdynare.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(157, 286);
g1(1,79)=T(54);
g1(1,95)=1;
g1(1,141)=1;
g1(2,68)=1;
g1(2,134)=(-T(8));
g1(2,143)=(-(1-T(8)));
g1(2,151)=(-(1-T(8)));
g1(3,133)=1;
g1(3,134)=(-T(38));
g1(4,134)=1;
g1(4,135)=1;
g1(4,142)=T(54);
g1(4,143)=T(54);
g1(4,151)=T(54);
g1(5,133)=T(54);
g1(5,135)=1;
g1(5,34)=T(54);
g1(6,69)=params(42);
g1(6,127)=params(111)*(1-params(42))*1/params(41);
g1(6,139)=1;
g1(6,227)=(-params(42));
g1(6,144)=(-params(42));
g1(7,35)=(-(params(15)*params(16)/T(3)));
g1(7,138)=params(15);
g1(7,139)=T(40);
g1(7,142)=(-((params(15)-1)*T(20)));
g1(7,149)=T(40)/(1+params(49));
g1(8,69)=params(42)/T(21);
g1(8,126)=1;
g1(8,224)=(-(params(42)*(1-params(40))/T(17)));
g1(8,127)=T(42)*params(111)/params(41);
g1(8,139)=(-(T(41)*(-params(42))/T(17)-T(42)));
g1(8,227)=(-(params(42)/T(17)*T(41)));
g1(9,69)=params(42)*T(22);
g1(9,125)=(-(params(42)*T(22)+params(42)*T(22)*(1-params(40))*T(23)));
g1(9,223)=params(42)*T(22)*(1-params(40))*T(23);
g1(9,127)=(1-params(42))*params(111)/params(41);
g1(9,139)=1;
g1(9,227)=(-(params(42)*T(22)));
g1(10,31)=(-T(43));
g1(10,124)=1;
g1(10,125)=T(43)-1;
g1(11,70)=T(54);
g1(11,133)=(-T(24));
g1(11,138)=(-T(15));
g1(11,140)=(-params(4));
g1(11,141)=1;
g1(11,145)=(-params(29));
g1(12,68)=(-params(17));
g1(12,135)=(-(params(17)*T(8)));
g1(12,141)=1;
g1(12,142)=(-(params(17)*(1-T(8))));
g1(13,35)=T(44)*(-T(39));
g1(13,138)=T(44);
g1(13,139)=T(54);
g1(13,142)=(params(15)-1)*T(20)/T(40)+params(32);
g1(13,143)=T(54);
g1(13,153)=T(55);
g1(13,155)=T(55);
g1(14,71)=(-(T(25)*(1+T(2)*T(3))*T(46)));
g1(14,34)=(-(1-T(25)));
g1(14,136)=1;
g1(14,140)=(-T(25));
g1(15,132)=T(11);
g1(15,133)=T(24);
g1(15,34)=params(14)*T(7);
g1(15,141)=T(54);
g1(15,142)=T(10)*(1+T(12));
g1(15,143)=T(10)*(1+T(12));
g1(15,151)=T(10);
g1(16,31)=(-T(47));
g1(16,32)=(-(T(1)/T(3)));
g1(16,127)=1;
g1(16,129)=1;
g1(16,132)=params(50)*T(11);
g1(16,138)=params(49)*T(15);
g1(16,141)=params(44);
g1(16,142)=T(10)*(T(12)+T(13)+T(14));
g1(16,143)=T(10)*(T(12)+T(13)+T(14));
g1(16,145)=(-params(29));
g1(16,147)=(-params(53));
g1(16,149)=T(15);
g1(16,151)=T(10);
g1(16,153)=T(10);
g1(16,155)=T(10);
g1(17,32)=(-(T(26)/params(41)));
g1(17,38)=(-params(72));
g1(17,146)=1;
g1(17,275)=(-(1-params(73)));
g1(17,47)=(-params(73));
g1(18,141)=(-params(74));
g1(18,145)=1;
g1(18,146)=T(54);
g1(19,32)=(-(T(27)/params(41)));
g1(19,39)=(-params(77));
g1(19,148)=1;
g1(19,276)=(-(1-params(78)));
g1(19,48)=(-params(78));
g1(20,141)=(-params(79));
g1(20,147)=1;
g1(20,148)=T(54);
g1(21,32)=(-(T(28)/params(41)));
g1(21,33)=(-params(82));
g1(21,130)=1;
g1(21,277)=(-(1-params(83)));
g1(21,49)=(-params(83));
g1(22,129)=1;
g1(22,130)=T(54);
g1(22,141)=(-params(84));
g1(23,32)=(-(T(29)/params(41)));
g1(23,40)=(-params(87));
g1(23,150)=1;
g1(23,278)=(-(1-params(88)));
g1(23,50)=(-params(88));
g1(24,141)=(-params(89));
g1(24,149)=1;
g1(24,150)=T(54);
g1(25,32)=(-(T(30)/params(41)));
g1(25,42)=(-params(92));
g1(25,154)=1;
g1(25,279)=(-(1-params(93)));
g1(25,51)=(-params(93));
g1(26,141)=(-params(94));
g1(26,153)=1;
g1(26,154)=T(54);
g1(27,32)=(-(T(31)/params(41)));
g1(27,43)=(-params(97));
g1(27,156)=1;
g1(27,280)=(-(1-params(98)));
g1(27,52)=(-params(98));
g1(28,141)=(-params(99));
g1(28,155)=1;
g1(28,156)=T(54);
g1(29,32)=(-(T(32)/params(41)));
g1(29,41)=(-params(102));
g1(29,152)=1;
g1(29,281)=(-(1-params(103)));
g1(29,53)=(-params(103));
g1(30,141)=(-params(104));
g1(30,151)=1;
g1(30,152)=T(54);
g1(31,157)=1;
g1(32,128)=1;
g1(33,129)=1;
g1(33,131)=1;
g1(33,141)=(-((-T(18))-params(44)));
g1(33,145)=(-params(29));
g1(33,147)=params(53);
g1(34,68)=1;
g1(34,84)=(-(1-T(8)));
g1(34,86)=1;
g1(34,89)=(-T(8));
g1(34,109)=(-(1-T(8)));
g1(35,88)=1;
g1(35,89)=(-T(38));
g1(36,84)=T(54);
g1(36,89)=1;
g1(36,90)=1;
g1(36,93)=T(54);
g1(36,109)=T(54);
g1(37,88)=T(54);
g1(37,90)=1;
g1(37,17)=T(54);
g1(38,82)=1;
g1(38,214)=(-params(43));
g1(38,217)=(-((1-params(50))*T(2)*T(6)));
g1(38,91)=(1-params(43))*params(112);
g1(38,92)=1;
g1(38,218)=(-(T(2)*(1-params(14))));
g1(39,71)=T(54);
g1(39,14)=(-T(48));
g1(39,81)=1;
g1(39,213)=(-(T(2)*T(3)*T(48)));
g1(39,92)=(-(T(48)*1/T(46)));
g1(40,71)=T(54);
g1(40,137)=(-(T(48)*1/T(46)));
g1(40,36)=(-T(48));
g1(40,140)=1;
g1(40,228)=(-(T(2)*T(3)*T(48)));
g1(41,225)=(-((1-params(50))*T(2)*T(6)));
g1(41,136)=(1-params(43))*params(112);
g1(41,137)=1;
g1(41,226)=(-(T(2)*(1-params(14))));
g1(41,139)=1;
g1(41,227)=(-params(43));
g1(42,71)=(-(params(13)*T(25)*(1+T(2)*T(3))*T(45)));
g1(42,81)=(-T(25));
g1(42,17)=(-(1-T(25)));
g1(42,91)=1;
g1(43,69)=params(42);
g1(43,82)=1;
g1(43,214)=(-params(42));
g1(43,215)=params(42);
g1(43,96)=(-params(42));
g1(43,119)=params(111)*(1-params(42))*1/params(41);
g1(44,69)=params(42)/T(21);
g1(44,82)=(-(T(41)*(-params(42))/T(17)-T(42)));
g1(44,214)=(-(params(42)/T(17)*T(41)));
g1(44,215)=(-(T(41)*(-params(42))/T(17)));
g1(44,102)=1;
g1(44,222)=(-(params(42)*(1-params(40))/T(17)));
g1(44,119)=T(42)*params(111)/params(41);
g1(45,69)=params(42)*T(22);
g1(45,82)=1;
g1(45,214)=(-(params(42)*T(22)));
g1(45,215)=params(42)*T(22);
g1(45,101)=(-(params(42)*T(22)+params(42)*T(22)*(1-params(40))*T(23)));
g1(45,221)=params(42)*T(22)*(1-params(40))*T(23);
g1(45,119)=(1-params(42))*params(111)/params(41);
g1(46,20)=(-T(43));
g1(46,100)=1;
g1(46,101)=T(43)-1;
g1(47,13)=(-(params(15)*params(16)/T(3)));
g1(47,80)=params(15);
g1(47,82)=T(40);
g1(47,93)=(-((params(15)-1)*T(20)));
g1(47,105)=T(40)/(1+params(49));
g1(48,70)=T(54);
g1(48,79)=1;
g1(48,80)=(-T(15));
g1(48,81)=(-params(4));
g1(48,88)=(-T(24));
g1(48,103)=(-params(29));
g1(49,70)=T(54);
g1(49,80)=(-T(15));
g1(49,81)=(-params(4));
g1(49,103)=(-params(29));
g1(49,158)=1;
g1(50,68)=(-params(17));
g1(50,79)=1;
g1(50,90)=(-(params(17)*T(8)));
g1(50,93)=(-(params(17)*(1-T(8))));
g1(51,73)=T(54);
g1(51,77)=T(54)-T(49)*((-params(30))-T(2)*T(3)*params(30));
g1(51,212)=(-(T(49)*(T(2)*T(3)*params(30)-T(2)*T(3))));
g1(51,15)=(-(params(30)*T(49)));
g1(51,83)=1;
g1(51,215)=(-(T(2)*T(3)*T(49)));
g1(51,86)=(-(T(49)*T(50)));
g1(52,74)=T(54);
g1(52,77)=(-((1-params(18))/(1+T(2)*T(3))));
g1(52,212)=T(2)*T(3)*(1-params(18))/(1+T(2)*T(3));
g1(52,15)=(-(params(18)/(1+T(2)*T(3))));
g1(52,83)=(1+T(2)*T(3)*params(18))/(1+T(2)*T(3));
g1(52,215)=(-T(51));
g1(52,16)=(-T(48));
g1(52,84)=1+T(52);
g1(52,216)=(-T(51));
g1(52,85)=(-T(52));
g1(53,87)=1;
g1(54,13)=T(44)*(-T(39));
g1(54,80)=T(44);
g1(54,82)=T(54);
g1(54,85)=T(54);
g1(54,93)=(params(15)-1)*T(20)/T(40)+params(32);
g1(54,107)=T(55);
g1(54,111)=T(55);
g1(55,1)=T(54);
g1(55,72)=(-(1-x(it_, 19)));
g1(55,11)=(-((1-x(it_, 19))*(-params(37))));
g1(55,77)=T(54)-(1-x(it_, 19))*(-(params(34)*(1-params(37))));
g1(55,12)=(-((1-x(it_, 19))*(-params(35))));
g1(55,79)=(-((1-x(it_, 19))*((1-params(37))*params(36)+params(35))));
g1(55,83)=(-((1-x(it_, 19))*params(34)*(1-params(37))));
g1(55,19)=(-((1-x(it_, 19))*params(37)));
g1(55,96)=1;
g1(55,37)=(-((1-x(it_, 19))*params(35)));
g1(55,141)=(-((1-x(it_, 19))*((-((1-params(37))*params(36)))-params(35))));
g1(55,285)=x(it_, 19);
g1(55,286)=(-((-((y(83)-y(77))*params(34)*(1-params(37))+(y(79)-y(141))*(1-params(37))*params(36)+params(35)*(y(37)+y(79)-y(141)-y(12))+params(37)*(y(19)-y(11))+y(72)))-x(it_, 18)));
g1(56,11)=(-0.999)-params(23);
g1(56,77)=1;
g1(56,283)=T(54);
g1(56,44)=(-(params(23)*(-0.999)));
g1(57,1)=(-params(71));
g1(57,63)=1;
g1(57,284)=T(54);
g1(58,1)=T(54);
g1(58,67)=1;
g1(58,72)=T(54);
g1(58,11)=params(37);
g1(58,77)=(-(1-params(34)*(1-params(37))));
g1(59,64)=1;
g1(59,211)=T(54);
g1(60,2)=(-params(38));
g1(60,68)=1;
g1(60,268)=T(54);
g1(61,3)=(-params(39));
g1(61,69)=1;
g1(61,269)=T(54);
g1(62,4)=(-params(20));
g1(62,70)=1;
g1(62,268)=(-params(3));
g1(62,270)=T(54);
g1(63,5)=(-params(21));
g1(63,71)=1;
g1(63,271)=T(54);
g1(64,6)=(-params(22));
g1(64,72)=1;
g1(64,272)=T(54);
g1(65,7)=(-params(24));
g1(65,73)=1;
g1(65,10)=T(33);
g1(65,76)=T(54);
g1(66,76)=1;
g1(66,273)=T(54);
g1(67,8)=(-params(25));
g1(67,74)=1;
g1(67,9)=T(34);
g1(67,75)=T(54);
g1(68,75)=1;
g1(68,274)=T(54);
g1(69,78)=1;
g1(70,79)=T(54);
g1(70,84)=T(10)*(1+T(12));
g1(70,88)=T(24);
g1(70,17)=params(14)*T(7);
g1(70,93)=T(10)*(1+T(12));
g1(70,109)=T(10);
g1(70,120)=T(11);
g1(71,79)=params(44);
g1(71,80)=params(49)*T(15);
g1(71,83)=T(47);
g1(71,84)=T(10)*(T(12)+T(13)+T(14));
g1(71,93)=T(10)*(T(12)+T(13)+T(14));
g1(71,20)=(-T(47));
g1(71,103)=(-params(29));
g1(71,105)=T(15);
g1(71,107)=T(10);
g1(71,109)=T(10);
g1(71,111)=T(10);
g1(71,114)=1;
g1(71,116)=(-params(53));
g1(71,29)=(-(T(1)/T(3)));
g1(71,119)=1;
g1(71,120)=params(50)*T(11);
g1(72,21)=(-params(72));
g1(72,104)=1;
g1(72,29)=(-(T(26)/params(41)));
g1(72,275)=(-(1-params(73)));
g1(72,47)=(-params(73));
g1(73,79)=(-params(74));
g1(73,103)=1;
g1(73,104)=T(54);
g1(74,28)=(-params(77));
g1(74,117)=1;
g1(74,29)=(-(T(27)/params(41)));
g1(74,276)=(-(1-params(78)));
g1(74,48)=(-params(78));
g1(75,79)=(-params(79));
g1(75,116)=1;
g1(75,117)=T(54);
g1(76,27)=(-params(82));
g1(76,115)=1;
g1(76,29)=(-(T(28)/params(41)));
g1(76,277)=(-(1-params(83)));
g1(76,49)=(-params(83));
g1(77,79)=(-params(84));
g1(77,114)=1;
g1(77,115)=T(54);
g1(78,22)=(-params(87));
g1(78,106)=1;
g1(78,29)=(-(T(29)/params(41)));
g1(78,278)=(-(1-params(88)));
g1(78,50)=(-params(88));
g1(79,79)=(-params(89));
g1(79,105)=1;
g1(79,106)=T(54);
g1(80,26)=(-params(92));
g1(80,112)=1;
g1(80,29)=(-(T(30)/params(41)));
g1(80,279)=(-(1-params(93)));
g1(80,51)=(-params(93));
g1(81,79)=(-params(94));
g1(81,111)=1;
g1(81,112)=T(54);
g1(82,23)=(-params(97));
g1(82,108)=1;
g1(82,29)=(-(T(31)/params(41)));
g1(82,280)=(-(1-params(98)));
g1(82,52)=(-params(98));
g1(83,79)=(-params(99));
g1(83,107)=1;
g1(83,108)=T(54);
g1(84,25)=(-params(102));
g1(84,110)=1;
g1(84,29)=(-(T(32)/params(41)));
g1(84,281)=(-(1-params(103)));
g1(84,53)=(-params(103));
g1(85,79)=(-params(104));
g1(85,109)=1;
g1(85,110)=T(54);
g1(86,113)=1;
g1(87,79)=(-((-params(44))-T(18)));
g1(87,80)=params(49)*T(15);
g1(87,84)=T(10)*(T(12)+T(13)+T(14));
g1(87,93)=T(10)*(T(12)+T(13)+T(14));
g1(87,103)=(-params(29));
g1(87,105)=T(15);
g1(87,107)=T(10);
g1(87,109)=T(10);
g1(87,111)=T(10);
g1(87,114)=1;
g1(87,116)=(-params(53));
g1(87,118)=1;
g1(87,120)=params(50)*T(11);
g1(88,121)=1;
g1(89,122)=T(54);
g1(89,30)=(-params(107));
g1(89,123)=1;
g1(90,122)=1-params(108);
g1(90,282)=T(54);
g1(91,15)=T(54);
g1(91,83)=T(54);
g1(91,99)=1;
g1(91,45)=T(54);
g1(91,46)=T(54);
g1(92,83)=(-4);
g1(92,98)=1;
g1(93,96)=(-4);
g1(93,97)=1;
g1(94,57)=1;
g1(94,12)=T(3);
g1(94,79)=(-T(3));
g1(95,60)=1;
g1(95,13)=1;
g1(95,80)=T(54);
g1(96,61)=1;
g1(96,14)=1;
g1(96,81)=T(54);
g1(97,56)=1;
g1(97,83)=T(54);
g1(98,55)=1;
g1(98,96)=(-4);
g1(99,62)=1;
g1(99,16)=1;
g1(99,84)=T(54);
g1(99,24)=(-(T(54)/(1-T(12))));
g1(99,109)=(-(1/(1-T(12))));
g1(100,93)=(-T(53));
g1(100,18)=T(54);
g1(100,94)=1-((-(T(2)*T(3)))-T(53));
g1(100,219)=(-(T(2)*T(3)));
g1(101,54)=1;
g1(101,94)=T(54);
g1(102,66)=1;
g1(102,220)=(-4);
g1(103,65)=1;
g1(103,220)=(-4);
g1(104,159)=T(54);
g1(104,160)=0.25;
g1(105,159)=1;
g1(105,248)=(-0.05);
g1(105,249)=(-0.05);
g1(105,250)=(-0.05);
g1(105,251)=(-0.05);
g1(105,252)=(-0.05);
g1(105,253)=(-0.05);
g1(105,254)=(-0.05);
g1(105,255)=(-0.05);
g1(105,256)=(-0.05);
g1(105,257)=(-0.05);
g1(105,258)=(-0.05);
g1(105,259)=(-0.05);
g1(105,260)=(-0.05);
g1(105,261)=(-0.05);
g1(105,262)=(-0.05);
g1(105,263)=(-0.05);
g1(105,264)=(-0.05);
g1(105,265)=(-0.05);
g1(105,266)=(-0.05);
g1(105,267)=(-0.05);
g1(106,160)=T(54);
g1(106,161)=1;
g1(107,58)=1;
g1(107,79)=T(37)*params(41)*(T(3)*T(16)-1);
g1(107,83)=T(37)*(-params(41));
g1(107,29)=T(37);
g1(107,119)=T(54);
g1(108,59)=1;
g1(108,119)=(-(1/params(41)));
g1(109,215)=T(54);
g1(109,162)=1;
g1(110,229)=T(54);
g1(110,163)=1;
g1(111,230)=T(54);
g1(111,164)=1;
g1(112,231)=T(54);
g1(112,165)=1;
g1(113,232)=T(54);
g1(113,166)=1;
g1(114,233)=T(54);
g1(114,167)=1;
g1(115,234)=T(54);
g1(115,168)=1;
g1(116,235)=T(54);
g1(116,169)=1;
g1(117,236)=T(54);
g1(117,170)=1;
g1(118,237)=T(54);
g1(118,171)=1;
g1(119,238)=T(54);
g1(119,172)=1;
g1(120,239)=T(54);
g1(120,173)=1;
g1(121,240)=T(54);
g1(121,174)=1;
g1(122,241)=T(54);
g1(122,175)=1;
g1(123,242)=T(54);
g1(123,176)=1;
g1(124,243)=T(54);
g1(124,177)=1;
g1(125,244)=T(54);
g1(125,178)=1;
g1(126,245)=T(54);
g1(126,179)=1;
g1(127,246)=T(54);
g1(127,180)=1;
g1(128,247)=T(54);
g1(128,181)=1;
g1(129,248)=T(54);
g1(129,182)=1;
g1(130,249)=T(54);
g1(130,183)=1;
g1(131,250)=T(54);
g1(131,184)=1;
g1(132,251)=T(54);
g1(132,185)=1;
g1(133,252)=T(54);
g1(133,186)=1;
g1(134,253)=T(54);
g1(134,187)=1;
g1(135,254)=T(54);
g1(135,188)=1;
g1(136,255)=T(54);
g1(136,189)=1;
g1(137,256)=T(54);
g1(137,190)=1;
g1(138,257)=T(54);
g1(138,191)=1;
g1(139,258)=T(54);
g1(139,192)=1;
g1(140,259)=T(54);
g1(140,193)=1;
g1(141,260)=T(54);
g1(141,194)=1;
g1(142,261)=T(54);
g1(142,195)=1;
g1(143,262)=T(54);
g1(143,196)=1;
g1(144,263)=T(54);
g1(144,197)=1;
g1(145,264)=T(54);
g1(145,198)=1;
g1(146,265)=T(54);
g1(146,199)=1;
g1(147,266)=T(54);
g1(147,200)=1;
g1(148,11)=T(54);
g1(148,201)=1;
g1(149,15)=T(54);
g1(149,202)=1;
g1(150,45)=T(54);
g1(150,203)=1;
g1(151,275)=T(54);
g1(151,204)=1;
g1(152,276)=T(54);
g1(152,205)=1;
g1(153,277)=T(54);
g1(153,206)=1;
g1(154,278)=T(54);
g1(154,207)=1;
g1(155,279)=T(54);
g1(155,208)=1;
g1(156,280)=T(54);
g1(156,209)=1;
g1(157,281)=T(54);
g1(157,210)=1;

end
