function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = testdynare.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(157, 1);
lhs = y(95);
rhs = y(79)-y(141);
residual(1) = lhs - rhs;
lhs = y(68);
rhs = T(8)*y(134)+(1-T(8))*(y(143)+y(151));
residual(2) = lhs - rhs;
lhs = y(133);
rhs = y(134)*T(38);
residual(3) = lhs - rhs;
lhs = y(134);
rhs = y(143)+y(151)+y(142)-y(135);
residual(4) = lhs - rhs;
lhs = y(135);
rhs = y(133)+y(34);
residual(5) = lhs - rhs;
lhs = y(139);
rhs = params(42)*(y(227)+y(144)-y(69))-params(111)*(1-params(42))*y(127)/params(41);
residual(6) = lhs - rhs;
lhs = y(139)*T(40);
rhs = y(142)*(params(15)-1)*T(20)+(-params(15))*y(138)+params(15)*params(16)/T(3)*y(35)-T(40)*y(149)/(1+params(49));
residual(7) = lhs - rhs;
lhs = y(126);
rhs = params(42)*(1-params(40))/T(17)*y(224)+T(41)*params(42)*(y(227)-y(139))/T(17)-params(42)*y(69)/T(21)-T(42)*(y(139)+params(111)*y(127)/params(41));
residual(8) = lhs - rhs;
lhs = y(139);
rhs = params(42)*T(22)*(y(227)+y(125)-y(69))-params(42)*T(22)*(1-params(40))*T(23)*(y(223)-y(125))-(1-params(42))*params(111)*y(127)/params(41);
residual(9) = lhs - rhs;
lhs = y(124)-y(125);
rhs = T(43)*(y(31)-y(125));
residual(10) = lhs - rhs;
lhs = y(141);
rhs = T(15)*y(138)+params(4)*y(140)+y(70)+params(29)*y(145)+y(133)*T(24);
residual(11) = lhs - rhs;
lhs = y(141);
rhs = params(17)*(y(68)+T(8)*y(135)+(1-T(8))*y(142));
residual(12) = lhs - rhs;
lhs = y(142)*params(32)+y(142)*(params(15)-1)*T(20)/T(40)+T(44)*(y(138)-T(39)*y(35));
rhs = y(143)+y(139)-(y(155)+y(153))/(1-T(13)-T(14));
residual(13) = lhs - rhs;
lhs = y(136);
rhs = T(25)*(1+T(2)*T(3))*T(46)*y(71)+y(140)*T(25)+y(34)*(1-T(25));
residual(14) = lhs - rhs;
lhs = T(11)*y(132);
rhs = y(141)-T(10)*(y(151)+(1+T(12))*(y(143)+y(142)))-y(133)*T(24)-params(14)*T(7)*y(34);
residual(15) = lhs - rhs;
lhs = y(127);
rhs = params(53)*y(147)+params(29)*y(145)+y(31)*T(47)+T(1)/T(3)*y(32)-(y(129)+y(141)*params(44)+T(10)*(y(151)+y(155)+y(153)+(y(143)+y(142))*(T(12)+T(13)+T(14)))+T(15)*(y(149)+params(49)*y(138))+T(11)*params(50)*y(132));
residual(16) = lhs - rhs;
lhs = y(146);
rhs = (1-params(73))*x(it_, 8)+params(72)*y(38)+y(32)*T(26)/params(41)+params(73)*y(47);
residual(17) = lhs - rhs;
lhs = y(145);
rhs = y(146)+y(141)*params(74);
residual(18) = lhs - rhs;
lhs = y(148);
rhs = (1-params(78))*x(it_, 9)+params(77)*y(39)+y(32)*T(27)/params(41)+params(78)*y(48);
residual(19) = lhs - rhs;
lhs = y(147);
rhs = y(148)+y(141)*params(79);
residual(20) = lhs - rhs;
lhs = y(130);
rhs = (1-params(83))*x(it_, 10)+params(82)*y(33)+y(32)*T(28)/params(41)+params(83)*y(49);
residual(21) = lhs - rhs;
lhs = y(129);
rhs = y(130)+y(141)*params(84);
residual(22) = lhs - rhs;
lhs = y(150);
rhs = (1-params(88))*x(it_, 11)+params(87)*y(40)+y(32)*T(29)/params(41)+params(88)*y(50);
residual(23) = lhs - rhs;
lhs = y(149);
rhs = y(150)+y(141)*params(89);
residual(24) = lhs - rhs;
lhs = y(154);
rhs = (1-params(93))*x(it_, 12)+params(92)*y(42)+y(32)*T(30)/params(41)+params(93)*y(51);
residual(25) = lhs - rhs;
lhs = y(153);
rhs = y(154)+y(141)*params(94);
residual(26) = lhs - rhs;
lhs = y(156);
rhs = (1-params(98))*x(it_, 13)+params(97)*y(43)+y(32)*T(31)/params(41)+params(98)*y(52);
residual(27) = lhs - rhs;
lhs = y(155);
rhs = y(156)+y(141)*params(99);
residual(28) = lhs - rhs;
lhs = y(152);
rhs = (1-params(103))*x(it_, 14)+params(102)*y(41)+y(32)*T(32)/params(41)+params(103)*y(53);
residual(29) = lhs - rhs;
lhs = y(151);
rhs = y(152)+y(141)*params(104);
residual(30) = lhs - rhs;
residual(31) = y(157);
residual(32) = y(128);
lhs = y(131);
rhs = params(29)*y(145)-y(129)-params(53)*y(147)-T(18)*y(141)-y(141)*params(44);
residual(33) = lhs - rhs;
lhs = y(86);
rhs = T(8)*y(89)+(1-T(8))*(y(84)+y(109))-y(68);
residual(34) = lhs - rhs;
lhs = y(88);
rhs = T(38)*y(89);
residual(35) = lhs - rhs;
lhs = y(89);
rhs = y(109)+y(84)+y(93)-y(90);
residual(36) = lhs - rhs;
lhs = y(90);
rhs = y(88)+y(17);
residual(37) = lhs - rhs;
lhs = y(92);
rhs = T(2)*(1-params(14))*y(218)+(1-params(50))*T(2)*T(6)*y(217)+params(43)*y(214)-y(82)-(1-params(43))*params(112)*y(91);
residual(38) = lhs - rhs;
lhs = y(81);
rhs = y(71)+T(48)*(y(14)+T(2)*T(3)*y(213)+y(92)*1/T(46));
residual(39) = lhs - rhs;
lhs = y(140);
rhs = y(71)+T(48)*(y(36)+T(2)*T(3)*y(228)+1/T(46)*y(137));
residual(40) = lhs - rhs;
lhs = y(137);
rhs = T(2)*(1-params(14))*y(226)+(1-params(50))*T(2)*T(6)*y(225)+params(43)*y(227)-y(139)-y(136)*(1-params(43))*params(112);
residual(41) = lhs - rhs;
lhs = y(91);
rhs = y(71)*params(13)*T(25)*(1+T(2)*T(3))*T(45)+T(25)*y(81)+(1-T(25))*y(17);
residual(42) = lhs - rhs;
lhs = y(82);
rhs = params(42)*(y(214)+y(96)-y(215)-y(69))-params(111)*(1-params(42))*y(119)/params(41);
residual(43) = lhs - rhs;
lhs = y(102);
rhs = params(42)*(1-params(40))/T(17)*y(222)+T(41)*params(42)*(y(214)-y(82)-y(215))/T(17)-params(42)*y(69)/T(21)-T(42)*(y(82)+params(111)*y(119)/params(41));
residual(44) = lhs - rhs;
lhs = y(82);
rhs = params(42)*T(22)*(y(214)+y(101)-y(215)-y(69))-params(42)*T(22)*(1-params(40))*T(23)*(y(221)-y(101))-(1-params(42))*params(111)*y(119)/params(41);
residual(45) = lhs - rhs;
lhs = y(100)-y(101);
rhs = T(43)*(y(20)-y(101));
residual(46) = lhs - rhs;
lhs = T(40)*y(82);
rhs = (params(15)-1)*T(20)*y(93)+(-params(15))*y(80)+params(15)*params(16)/T(3)*y(13)-T(40)*y(105)/(1+params(49));
residual(47) = lhs - rhs;
lhs = y(79);
rhs = y(70)+T(15)*y(80)+params(4)*y(81)+params(29)*y(103)+T(24)*y(88);
residual(48) = lhs - rhs;
lhs = y(158);
rhs = y(70)+T(15)*y(80)+params(4)*y(81)+params(29)*y(103);
residual(49) = lhs - rhs;
lhs = y(79);
rhs = params(17)*(y(68)+T(8)*y(90)+(1-T(8))*y(93));
residual(50) = lhs - rhs;
lhs = y(83)-y(77);
rhs = T(49)*(T(2)*T(3)*(y(215)-y(212))+params(30)*(y(15)-y(77))+T(2)*T(3)*params(30)*(y(212)-y(77))+y(86)*T(50))+y(73);
residual(51) = lhs - rhs;
lhs = y(84);
rhs = y(74)+T(52)*(y(85)-y(84))+y(77)*(1-params(18))/(1+T(2)*T(3))+T(48)*y(16)+T(51)*y(216)+y(15)*params(18)/(1+T(2)*T(3))-y(83)*(1+T(2)*T(3)*params(18))/(1+T(2)*T(3))+y(215)*T(51)-y(212)*T(2)*T(3)*(1-params(18))/(1+T(2)*T(3));
residual(52) = lhs - rhs;
residual(53) = y(87);
lhs = params(32)*y(93)+(params(15)-1)*T(20)/T(40)*y(93)+T(44)*(y(80)-T(39)*y(13));
rhs = y(82)+y(85)-(y(107)+y(111))/(1-T(13)-T(14));
residual(54) = lhs - rhs;
lhs = y(96)-y(77);
rhs = (1-x(it_, 19))*((y(83)-y(77))*params(34)*(1-params(37))+(y(79)-y(141))*(1-params(37))*params(36)+params(35)*(y(37)+y(79)-y(141)-y(12))+params(37)*(y(19)-y(11))+y(72))-x(it_, 19)*x(it_, 18)+y(1);
residual(55) = lhs - rhs;
lhs = y(77)-y(11)*0.999;
rhs = x(it_, 16)+params(23)*(y(11)-0.999*y(44));
residual(56) = lhs - rhs;
lhs = y(63);
rhs = y(1)*params(71)+x(it_, 17);
residual(57) = lhs - rhs;
lhs = y(67);
rhs = y(1)+y(77)+y(72)-params(37)*y(11)-y(77)*params(34)*(1-params(37));
residual(58) = lhs - rhs;
lhs = y(64);
rhs = y(211);
residual(59) = lhs - rhs;
lhs = y(68);
rhs = params(38)*y(2)+x(it_, 1);
residual(60) = lhs - rhs;
lhs = y(69);
rhs = params(39)*y(3)+x(it_, 2);
residual(61) = lhs - rhs;
lhs = y(70);
rhs = params(20)*y(4)+x(it_, 3)+x(it_, 1)*params(3);
residual(62) = lhs - rhs;
lhs = y(71);
rhs = params(21)*y(5)+x(it_, 4);
residual(63) = lhs - rhs;
lhs = y(72);
rhs = params(22)*y(6)+x(it_, 5);
residual(64) = lhs - rhs;
lhs = y(73);
rhs = params(24)*y(7)+y(76)-T(33)*y(10);
residual(65) = lhs - rhs;
lhs = y(76);
rhs = x(it_, 6);
residual(66) = lhs - rhs;
lhs = y(74);
rhs = params(25)*y(8)+y(75)-T(34)*y(9);
residual(67) = lhs - rhs;
lhs = y(75);
rhs = x(it_, 7);
residual(68) = lhs - rhs;
residual(69) = y(78);
lhs = T(11)*y(120);
rhs = y(79)-T(10)*(y(109)+(1+T(12))*(y(84)+y(93)))-T(24)*y(88)-params(14)*T(7)*y(17);
residual(70) = lhs - rhs;
lhs = y(119);
rhs = params(53)*y(116)+params(29)*y(103)+T(47)*(y(20)-y(83))+T(1)/T(3)*y(29)-(y(114)+y(79)*params(44)+T(10)*(y(109)+y(111)+y(107)+(T(12)+T(13)+T(14))*(y(84)+y(93)))+T(15)*(y(105)+params(49)*y(80))+T(11)*params(50)*y(120));
residual(71) = lhs - rhs;
lhs = y(104);
rhs = (1-params(73))*x(it_, 8)+params(72)*y(21)+T(26)/params(41)*y(29)+params(73)*y(47);
residual(72) = lhs - rhs;
lhs = y(103);
rhs = y(104)+y(79)*params(74);
residual(73) = lhs - rhs;
lhs = y(117);
rhs = (1-params(78))*x(it_, 9)+params(77)*y(28)+T(27)/params(41)*y(29)+params(78)*y(48);
residual(74) = lhs - rhs;
lhs = y(116);
rhs = y(117)+y(79)*params(79);
residual(75) = lhs - rhs;
lhs = y(115);
rhs = (1-params(83))*x(it_, 10)+params(82)*y(27)+T(28)/params(41)*y(29)+params(83)*y(49);
residual(76) = lhs - rhs;
lhs = y(114);
rhs = y(115)+y(79)*params(84);
residual(77) = lhs - rhs;
lhs = y(106);
rhs = (1-params(88))*x(it_, 11)+params(87)*y(22)+T(29)/params(41)*y(29)+params(88)*y(50);
residual(78) = lhs - rhs;
lhs = y(105);
rhs = y(106)+y(79)*params(89);
residual(79) = lhs - rhs;
lhs = y(112);
rhs = (1-params(93))*x(it_, 12)+params(92)*y(26)+T(30)/params(41)*y(29)+params(93)*y(51);
residual(80) = lhs - rhs;
lhs = y(111);
rhs = y(112)+y(79)*params(94);
residual(81) = lhs - rhs;
lhs = y(108);
rhs = (1-params(98))*x(it_, 13)+params(97)*y(23)+T(31)/params(41)*y(29)+params(98)*y(52);
residual(82) = lhs - rhs;
lhs = y(107);
rhs = y(108)+y(79)*params(99);
residual(83) = lhs - rhs;
lhs = y(110);
rhs = (1-params(103))*x(it_, 14)+params(102)*y(25)+T(32)/params(41)*y(29)+params(103)*y(53);
residual(84) = lhs - rhs;
lhs = y(109);
rhs = y(110)+y(79)*params(104);
residual(85) = lhs - rhs;
residual(86) = y(113);
lhs = y(118);
rhs = params(29)*y(103)+params(53)*y(116)-(y(114)+y(79)*params(44)+T(10)*(y(109)+y(111)+y(107)+(T(12)+T(13)+T(14))*(y(84)+y(93)))+T(15)*(y(105)+params(49)*y(80))+T(11)*params(50)*y(120))-T(18)*y(79);
residual(87) = lhs - rhs;
residual(88) = y(121);
lhs = y(123);
rhs = params(107)*y(30)+y(122);
residual(89) = lhs - rhs;
lhs = y(122);
rhs = y(122)*params(108)+x(it_, 15);
residual(90) = lhs - rhs;
lhs = y(99);
rhs = y(83)+y(15)+y(45)+y(46);
residual(91) = lhs - rhs;
lhs = y(98);
rhs = 4*y(83);
residual(92) = lhs - rhs;
lhs = y(97);
rhs = 4*y(96);
residual(93) = lhs - rhs;
lhs = y(57);
rhs = params(26)+T(3)*(y(79)-y(12));
residual(94) = lhs - rhs;
lhs = y(60);
rhs = params(26)+y(80)-y(13);
residual(95) = lhs - rhs;
lhs = y(61);
rhs = params(26)+y(81)-y(14);
residual(96) = lhs - rhs;
lhs = y(56);
rhs = params(7)+y(83);
residual(97) = lhs - rhs;
lhs = y(55);
rhs = 4*(y(96)+T(35));
residual(98) = lhs - rhs;
lhs = y(62);
rhs = params(26)+y(84)-y(16)+(y(109)-y(24))/(1-T(12));
residual(99) = lhs - rhs;
lhs = y(94)-y(18);
rhs = T(2)*T(3)*(y(219)-y(94))+T(53)*(y(93)-y(94));
residual(100) = lhs - rhs;
lhs = y(54);
rhs = y(94)+params(6);
residual(101) = lhs - rhs;
lhs = y(66);
rhs = 4*(T(35)+y(220));
residual(102) = lhs - rhs;
lhs = y(65);
rhs = 4*(T(35)+y(220));
residual(103) = lhs - rhs;
lhs = y(160)/4;
rhs = y(159)+params(8);
residual(104) = lhs - rhs;
lhs = y(159);
rhs = 0.05*(y(248)+y(249)+y(250)+y(251)+y(252)+y(253)+y(254)+y(255)+y(256)+y(257)+y(258)+y(259)+y(260)+y(261)+y(262)+y(263)+y(264)+y(265)+y(266)+y(267));
residual(105) = lhs - rhs;
lhs = y(161);
rhs = y(160);
residual(106) = lhs - rhs;
lhs = y(58);
rhs = y(119)+T(36)-T(37)*(y(29)+params(41)*(y(79)*(T(3)*T(16)-1)-y(83)));
residual(107) = lhs - rhs;
lhs = y(59);
rhs = y(119)/params(41)+params(48);
residual(108) = lhs - rhs;
lhs = y(162);
rhs = y(215);
residual(109) = lhs - rhs;
lhs = y(163);
rhs = y(229);
residual(110) = lhs - rhs;
lhs = y(164);
rhs = y(230);
residual(111) = lhs - rhs;
lhs = y(165);
rhs = y(231);
residual(112) = lhs - rhs;
lhs = y(166);
rhs = y(232);
residual(113) = lhs - rhs;
lhs = y(167);
rhs = y(233);
residual(114) = lhs - rhs;
lhs = y(168);
rhs = y(234);
residual(115) = lhs - rhs;
lhs = y(169);
rhs = y(235);
residual(116) = lhs - rhs;
lhs = y(170);
rhs = y(236);
residual(117) = lhs - rhs;
lhs = y(171);
rhs = y(237);
residual(118) = lhs - rhs;
lhs = y(172);
rhs = y(238);
residual(119) = lhs - rhs;
lhs = y(173);
rhs = y(239);
residual(120) = lhs - rhs;
lhs = y(174);
rhs = y(240);
residual(121) = lhs - rhs;
lhs = y(175);
rhs = y(241);
residual(122) = lhs - rhs;
lhs = y(176);
rhs = y(242);
residual(123) = lhs - rhs;
lhs = y(177);
rhs = y(243);
residual(124) = lhs - rhs;
lhs = y(178);
rhs = y(244);
residual(125) = lhs - rhs;
lhs = y(179);
rhs = y(245);
residual(126) = lhs - rhs;
lhs = y(180);
rhs = y(246);
residual(127) = lhs - rhs;
lhs = y(181);
rhs = y(247);
residual(128) = lhs - rhs;
lhs = y(182);
rhs = y(248);
residual(129) = lhs - rhs;
lhs = y(183);
rhs = y(249);
residual(130) = lhs - rhs;
lhs = y(184);
rhs = y(250);
residual(131) = lhs - rhs;
lhs = y(185);
rhs = y(251);
residual(132) = lhs - rhs;
lhs = y(186);
rhs = y(252);
residual(133) = lhs - rhs;
lhs = y(187);
rhs = y(253);
residual(134) = lhs - rhs;
lhs = y(188);
rhs = y(254);
residual(135) = lhs - rhs;
lhs = y(189);
rhs = y(255);
residual(136) = lhs - rhs;
lhs = y(190);
rhs = y(256);
residual(137) = lhs - rhs;
lhs = y(191);
rhs = y(257);
residual(138) = lhs - rhs;
lhs = y(192);
rhs = y(258);
residual(139) = lhs - rhs;
lhs = y(193);
rhs = y(259);
residual(140) = lhs - rhs;
lhs = y(194);
rhs = y(260);
residual(141) = lhs - rhs;
lhs = y(195);
rhs = y(261);
residual(142) = lhs - rhs;
lhs = y(196);
rhs = y(262);
residual(143) = lhs - rhs;
lhs = y(197);
rhs = y(263);
residual(144) = lhs - rhs;
lhs = y(198);
rhs = y(264);
residual(145) = lhs - rhs;
lhs = y(199);
rhs = y(265);
residual(146) = lhs - rhs;
lhs = y(200);
rhs = y(266);
residual(147) = lhs - rhs;
lhs = y(201);
rhs = y(11);
residual(148) = lhs - rhs;
lhs = y(202);
rhs = y(15);
residual(149) = lhs - rhs;
lhs = y(203);
rhs = y(45);
residual(150) = lhs - rhs;
lhs = y(204);
rhs = x(it_, 8);
residual(151) = lhs - rhs;
lhs = y(205);
rhs = x(it_, 9);
residual(152) = lhs - rhs;
lhs = y(206);
rhs = x(it_, 10);
residual(153) = lhs - rhs;
lhs = y(207);
rhs = x(it_, 11);
residual(154) = lhs - rhs;
lhs = y(208);
rhs = x(it_, 12);
residual(155) = lhs - rhs;
lhs = y(209);
rhs = x(it_, 13);
residual(156) = lhs - rhs;
lhs = y(210);
rhs = x(it_, 14);
residual(157) = lhs - rhs;

end
