function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 53);

T(1) = 1+params(110)/100;
T(2) = params(42)/T(1);
T(3) = 1+params(26)/100;
T(4) = T(3)*(1-(1-params(14))/T(3));
T(5) = params(17);
T(6) = params(14)+(params(43)/T(2)-1)/(1-params(50));
T(7) = params(4)/T(4);
T(8) = T(5)/params(17)*T(6)*T(7);
T(9) = 1-T(8);
T(10) = T(9)-params(51);
T(11) = 1-T(9)-params(14)*T(7);
T(12) = params(51)/T(10);
T(13) = params(52)/T(10);
T(14) = (params(5)-params(50)*T(11))/T(10);
T(15) = 1-params(28)-params(4);
T(16) = 1+params(7)/100;
T(17) = T(1)*T(16);
T(18) = (-(T(1)/T(3)-1))*params(41);
T(19) = params(41)*(1-1/(T(3)*T(16)));
T(20) = T(7)*T(6)*(1-T(8))*(1-T(13)-T(14))/(1+params(49))*1/params(33)/T(8)/T(15);
T(21) = (1+params(42)*params(40)/T(17)-params(42))/(1-params(42)/T(17)*(1-params(40)));
T(22) = 1;
T(23) = params(42)/(T(17)-params(42)*(1-params(40)));
T(24) = T(6)*T(7);
T(25) = 1-(1-params(14))/T(3);
T(26) = (-params(75))*(1-params(72));
T(27) = (-params(80))*(1-params(77));
T(28) = params(85)*(1-params(82));
T(29) = params(90)*(1-params(87));
T(30) = params(95)*(1-params(92));
T(31) = params(100)*(1-params(97));
T(32) = params(105)*(1-params(102));
T(33) = params(24)-params(11);
T(34) = params(25)-params(10);
T(35) = 100*(T(17)-1);
T(36) = 100*T(19);
T(37) = 1/(T(3)*T(16));
T(38) = 1/(params(12)/(1-params(12)));
T(39) = params(16)/T(3);
T(40) = 1-T(39);
T(41) = 1+params(40)/T(21)-params(40);
T(42) = (1-params(42))/T(21);
T(43) = (1-params(40))/(T(3)*T(16));
T(44) = (1-params(15))/T(40);
T(45) = T(3)^2;
T(46) = T(45)*params(13);
T(47) = T(1)*params(41)/T(3);
T(48) = 1/(1+T(2)*T(3));
T(49) = 1/(1+T(2)*T(3)*params(30));
T(50) = (1-params(31))*(1-T(2)*T(3)*params(31))/params(31)/(1+(T(5)-1)*params(2));
T(51) = T(2)*T(3)/(1+T(2)*T(3));
T(52) = (1-params(19))*(1-T(2)*T(3)*params(19))/((1+T(2)*T(3))*params(19))*1/(1+(params(33)-1)*params(1));
T(53) = (1-params(45))*(1-T(3)*T(2)*params(45))/params(45);

end
